=== debian/changelog ===
ros-indigo-carl-safety (0.0.7-0trusty) trusty; urgency=high

  * Merge branch 'develop' of https://github.com/WPI-RAIL/carl_safety into develop
  * Added time check to arm not contained feedback to prevent multiple repeated feedback messages
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-safety (0.0.6-0trusty) trusty; urgency=high

  * Added error feedback messages
  * travis fix
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-safety (0.0.5-0trusty) trusty; urgency=high

  * carl safety now pipes output to dev null
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-carl-safety (0.0.4-0trusty) trusty; urgency=high

  * Adjusted finger current thresholds
  * Fixed output message for finger joints on arm safety
  * Adjustments for finger safety threshold
  * Merge branch 'develop' of https://github.com/WPI-RAIL/carl_safety into develop
  * Arm safety threshold tuning
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-safety (0.0.3-0trusty) trusty; urgency=high

  * message generation dependency
  * Split launch file into basic safety nodes that should always be on and nodes that only affect safety when using an external interface
  * launch file for tipping safety
  * Launch file updated with tipping safety
  * Tuned nav safety thresholds and added tipping safety to stop the robot when tipping is detected
  * Changed manual and auto nav safety to allow movement when the arm is within CARL's navigation footprint
  * Removed some debugging statements
  * Manual base movement override if arm is not retracted
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-safety (0.0.2-0trusty) trusty; urgency=high

  * Changed int param to bool
  * Parameter, topic, and launch file cleanup for consistency
  * Merge pull request #2 <https://github.com/WPI-RAIL/carl_safety/issues/2> from bhetherman/develop
    changes to make teleop safety and arm noise able to toggle on and off with launch paramater
  * changes to make teleop safety and arm noise able to toggle on and off with launch paramater
  * Update .travis.yml
  * Update package.xml
  * merged
  * Added dependency on wpi_jaco_msgs for safe nav
  * Implemented /move_base_safe to retract the arm before navigation
  * Contributors: Brian Hetherman, David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Thu, 04 Dec 2014 05:00:00 -0000

ros-indigo-carl-safety (0.0.1-0trusty) trusty; urgency=high

  * cleanup for release
  * adjusted safety override near computer desks
  * Added discouragement for CARL attempting to crash into our computers, remote run stop should now work for autonomous nav as well
  * slowed down spin rate
  * created launch file, added dependency on robot_pose_publisher for launch
  * implemented boundary for manual nav
  * more debugging
  * debugging
  * initial commit
  * Contributors: Russell Toris, dekent

 -- David Kent <davidkent@wpi.edu>  Fri, 05 Sep 2014 04:00:00 -0000
